/* this function free the memory allocated in the struct data_files
 * structure.
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	March 1999
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
#include <stdlib.h>
#include "sirinp.h"

void FreeDataStruct( struct data_files *data )
{
    if( NULL != data->job ) free( data->job );
    if( NULL != data->cd ) free( data->cd );
    if( NULL != data->re ) free( data->re );
    if( NULL != data->hkl ) free( data->hkl );
    if( NULL != data->sir ) free( data->sir );
    free( data );
    return;
}
